Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer
Interface NanoPicoContainer

All Superinterfaces:
  org.picocontainer.Disposable, org.picocontainer.MutablePicoContainer, NanoContainer, org.picocontainer.PicoContainer, org.picocontainer.Startable

All Known Implementing Classes:
  AbstractNanoPicoContainer, DefaultNanoPicoContainer, ImplementationHidingNanoPicoContainer

    public interface NanoPicoContainer

extends org.picocontainer.MutablePicoContainer, NanoContainer

Version:
  $Revision: 1635 $
Author:
  Paul Hammant

Method Summary
`void` | `addChildContainer(String name, org.picocontainer.PicoContainer child)`
`org.picocontainer.MutablePicoContainer` | `makeChildContainer(String name)`

Methods inherited from interface org.picocontainer.MutablePicoContainer
`addChildContainer, makeChildContainer, registerComponent, registerComponentImplementation, registerComponentImplementation, registerComponentImplementation, registerComponentInstance, registerComponentInstance, removeChildContainer, unregisterComponent, unregisterComponentByInstance`

Methods inherited from interface org.picocontainer.PicoContainer
`accept, getComponentAdapter, getComponentAdapterOfType, getComponentAdapters, getComponentAdaptersOfType, getComponentInstance, getComponentInstanceOfType, getComponentInstances, getComponentInstancesOfType, getParent, verify`

Methods inherited from interface org.picocontainer.Startable
`start, stop`

Methods inherited from interface org.picocontainer.Disposable
`dispose`

Methods inherited from interface org.nanocontainer.NanoContainer
`addClassLoaderURL, addDecoratingPicoContainer, getComponentClassLoader, getComponentInstanceOfType, getPico, registerComponentImplementation, registerComponentImplementation, registerComponentImplementation, registerComponentImplementation, registerComponentImplementation`

Method Detail

### makeChildContainer

    org.picocontainer.MutablePicoContainer makeChildContainer(String name)

### addChildContainer

    void addChildContainer(String name,
                           org.picocontainer.PicoContainer child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.